%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Name:		alure
Version:	1.2
Release:	%mkrel 20
Summary:	Audio Library Tools REloaded
Group:		System/Libraries
License:	LGPLv2+
URL:		https://kcat.tomasu.net/alure.html
Source0:	https://kcat.tomasu.net/alure-releases/%{name}-%{version}.tar.bz2
Patch0:		alure-1.2-gcc47.patch
Patch1:		alure-1.2-mga-link-libdumb-1.patch
Patch2:		alure-1.2-mga-link-fluidsynth-3.patch

# arch
Patch3:		build.patch
Patch4:		dumb-2.patch
# opensuse
Patch5:		fix-FLUIDSYNTH_CFLAGS.patch
Patch6:		fix-lib-suffix.patch
Patch7:		fix-link-flac.patch
#
Patch8:		alure-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	dumb-devel
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmpg123)

%description
ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{libname}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libname}
Libraries needed by %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{develname}
Summary:	%{name} development files
Group:		Development/C++
License:	LGPLv2+,GPLv2+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files to develop applications that use %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{staticdevelname}
Summary:	%{name} static library
Group:		Development/C++
License:	LGPLv2+,GPLv2+
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
Static library file to develop applications that use %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%prep
%autosetup -p1

%build
%cmake -DMODPLUG=ON \
       -DDYNLOAD=OFF
# Fix build with fluidsynth 2.4
find -name build.make | xargs sed -e 's|\;| |g' -i
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libalure.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING
%{_docdir}/%{name}
%{_bindir}/%{name}*
%{_includedir}/AL/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{staticdevelname}
%{_libdir}/lib%{name}-static.a
%{_libdir}/pkgconfig/%{name}-static.pc


%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 1.2-20.mga10
+ Revision: 2196198
- fix build with cmake 4.0

* Fri Sep 20 2024 papoteur <papoteur> 1.2-19.mga10
+ Revision: 2099543
- rebuild for dumb 2.0.3

* Sun Feb 26 2023 daviddavid <daviddavid> 1.2-18.mga9
+ Revision: 1945547
- add missing build dependency on pkgconfig(speex)

* Sun Nov 20 2022 wally <wally> 1.2-17.mga9
+ Revision: 1909252
- rebuild for flac 1.4.2

* Sat Oct 29 2022 ghibo <ghibo> 1.2-16.mga9
+ Revision: 1900022
- Fix URL

* Sat Oct 29 2022 ghibo <ghibo> 1.2-15.mga9
+ Revision: 1900013
- Use dynamic linking instead of dynamic loading.
- Remove libdumb and libfluidsynth from requirements.
- Trunk release 2020-02-19 is alure2 (incompatible with older release and break games). Resurrect previous release 1.2.
- Fix Patch1 to match our current libdumb.so.1.
- Add Patch2 to match our current libfluidsynth.so.3.
- Add Patch4,5 from Arch to fix building.
- Add Patch5,6,7 from opensuse to fix build.

* Wed Sep 21 2022 papoteur <papoteur> 1.2-13.mga9
+ Revision: 1891181
- update to latest commit 2020-02-29
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 11.mga8-current
+ Revision: 1508457
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.2-10.mga7
+ Revision: 1294309
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.2-9.mga6
+ Revision: 951671
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 akien <akien> 1.2-8.mga5
+ Revision: 808781
- Enable modplug support
- Fix dynamic loading of libdumb 0.9.3

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 741945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 686492
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 677746
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 david-david <david-david> 1.2-4.mga5
+ Revision: 598571
- use '%%apply_patches' macro
- prefer pkgconfig packages on BR
- clean spec file
- fix files for static-devel package
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 345523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 1.2-2.mga3
+ Revision: 274543
- Add patch from Fedora to fix build with gcc 4.7

* Tue Sep 06 2011 tv <tv> 1.2-1.mga2
+ Revision: 139182
- fix file list
- new release

* Thu Jun 30 2011 ze <ze> 1.1-2.mga2
+ Revision: 116338
- add missing provides for devel and static

* Thu Jun 30 2011 ze <ze> 1.1-1.mga2
+ Revision: 116332
- imported package alure


* Thu Jun 30 2011 Zé <ze@mageia.org> 1.1-1
- first package 

